### Enumeration

# Cogl WinsysID

#### Declaration

    enum Cogl.WinsysID

#### Description [src]

Identifies specific window system backends that Cogl supports.

These can be used to query what backend Cogl is using or to try and explicitly select a backend to use.

#### Members

`COGL_WINSYS_ID_ANY`

  Implies no preference for which backend is used.

  - Value: `0`
  - Available since: 16
`COGL_WINSYS_ID_STUB`

  Use the no-op stub backend.

  - Value: `1`
  - Available since: 16
`COGL_WINSYS_ID_GLX`

  Use the GLX window system binding API.

  - Value: `2`
  - Available since: 16
`COGL_WINSYS_ID_EGL_XLIB`

  Use EGL with the X window system via XLib.

  - Value: `3`
  - Available since: 16
`COGL_WINSYS_ID_CUSTOM`

  No description available.

  - Value: `4`
  - Available since: 16